メインコンテンツまでスキップ

AWS にアクセスするためにポッドでプロキシ設定が必要な場合、 Trident のバージョンが 2019 までであれば、 etcd を使用して Trident ドライバを AWS にインストールできません

Views:
30
Visibility:
Public
Votes:
0
Category:
not set
Specialty:
not set
Last Updated:

に適用されます

  • ストレージとしての Amazon Web Services
  • バージョン 19.07 までの Trident
  • プロキシ環境

問題

プロキシ定義を使用して AWS にアクセスする必要があるプロキシ環境に Trident をインストールしようとすると、次のいずれかのエラーが発生します。

INFO Starting storage driver.                      backend=/home/dgrundh/trident-installer/setup/backend.json
WARN Error communicating with AWS REST interface. Get https://cds-aws-bundles.netapp.com:8080/version: net/http: request canceled while waiting for connection
(Client.Timeout exceeded while awaiting headers)

INFO Starting storage driver. backend=/setup/backend.json
WARN Error communicating with AWS REST interface. Get https://cds-aws-bundles.netapp.com:8080/version: net/http: request canceled while waiting for connection (Client.Timeout exceeded while awaiting headers)
FATA Install failed; could not start the storage backend driver; problem initializing storage driver 'aws-cvs': error validating aws-cvs driver. failed to read version. Resolve the issue; use 'tridentctl uninstall' to clean up; and try again.

 

Sign in to view the entire content of this KB article.

New to NetApp?

Learn more about our award-winning Support

Scan to view the article on your device